sasl_encode(26 March 2000)

NAME
sasl_encode - Encode data for transport to authenticated host

SYNOPSIS
#include <sasl.h>

int sasl_encode(sasl_conn_t *conn,
		     const char * input,
	             unsigned inputlen,
		     char ** output,
		     unsigned * outputlen);

DESCRIPTION
sasl_encode encodes data to be sent to be sent to a remote host who we've had a successful authentication session with. If there is a negotiated security the data in signed/encrypted and the output should be sent without modification to the remote host. If there is no security layer the output is identical to the input.

RETURN VALUE
Returns SASL_OK on success. SASL error code on failure.

CONFORMING TO
RFC 2222

SEE ALSO
sasl_decode